SYMORDER(1)

NAME
symorder - rearrange a list of symbols

SYNOPSIS
symorder [ -s ] orderlist symbolfile

DESCRIPTION

sysmfile is a file containing symbols to be found in objectfile, 1 symbol per line.

objectfile is updated in place to put the requested symbols first in the symbol table, in the order specified. This is done by swapping the old symbols in the required spots with the new ones. If all of the order symbols are not found, an error is generated.

This program was specifically designed to cut down on the overhead of getting symbols from /vmunix.

Sun386i DESCRIPTION

Symbols specified on the command line are moved to the beginning of the output symbol table, not swapped. Therefore, the symbols specified on the command line will appear in order at the beginning of the output symbol table, followed by the original symbol table with the gaps created by the moved symbols closed.

OPTIONS

-s  Work silently, that is, display nothing except error messages. This is useful for checking the error status.

FILES
/vmunix

SEE ALSO
nlist(3V)